Skip to content

API reference / Subscriptions

GET /v1/subscription_plans Bearer

List active subscription plans

Requires the subscriptions product to be enabled for your merchant.

Headers

X-Mojo-Account-Ref optional string

Required when sub-accounts are enabled for the merchant (except metadata and balance routes). Targets the sub-account for this request.

GET https://omni.mojo-pay.com/v1/subscription_plans
curl -X GET "https://omni.mojo-pay.com/v1/subscription_plans" \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Accept: application/json"
Response
{
    "object": "list",
    "data": [
        {
            "object": "subscription_plan",
            "plan_id": "PLN_ABCDEF123456",
            "name": "Gold Monthly",
            "description": "Full access, billed monthly",
            "currency": "GHS",
            "amount": "50.00",
            "frequency": "MONTHLY",
            "duration_type": "ongoing",
            "duration_months": null,
            "status": "active"
        }
    ]
}